const fs = require('fs')

module.exports.createEvent = class createEvent {
    constructor(event, callback) {
        this.createEvent(event, callback)
    }
    createEvent(event, callback) {
        callback();
    }
}

/**
 * 
 * @param {String} dir 
 * @param {Boolean} advanced 
 */
module.exports.setCommandsDirNotAdvanced = function setCommandsDir(dir) {
    const notAdvanced = (
        fs.readdirSync(`./${dir}/`, (err, files) => {
            if (err) console.log(err);
            return files;
        })
    )

    return notAdvanced;

}

/**
 * 
 * @param {String} dir 
 * @param {String[]} allowedExtensions 
 * @returns any[]
 */

module.exports.setCommandsDirAdvanced = function setCommandsDir(dir) {
    var array = []
    fs.readdirSync(dir).forEach((d) => {
        fs.readdirSync(`./${dir}/${d}/`).forEach((file) => {
            array.push([file, d])
        })
    })

    return array;
}